/*
 * Sonar PL/SQL Toad Plugin
 * Copyright (C) 2012 SonarSource
 * dev@sonar.codehaus.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.plsqltoad;

import java.io.IOException;
import java.io.InputStream;

public class AsciiFilterInputStream extends InputStream {

  private final InputStream is;

  public AsciiFilterInputStream(InputStream is) {
    this.is = is;
  }

  @Override
  public int read() throws IOException {
    int c;

    do {
      c = is.read();
    } while (isNotAsciiNorEof(c));

    return c;
  }

  private boolean isNotAsciiNorEof(int c) {
    return c > 127;
  }

}
