/*
 * Sonar PL/SQL Toad Plugin
 * Copyright (C) 2012 SonarSource
 * dev@sonar.codehaus.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.plsqltoad;

import org.apache.commons.io.IOUtils;
import org.sonar.api.rules.Rule;
import org.sonar.api.rules.RuleRepository;
import org.sonar.api.rules.XMLRuleParser;

import java.io.InputStream;
import java.util.List;

public class PlSqlToad11RulesRepository extends RuleRepository {

  public PlSqlToad11RulesRepository() {
    super(PlSqlToadPlugin.KEY_REPOSITORY_TOAD_11, PlSqlToadPlugin.LANGUAGE_KEY);
    setName(PlSqlToadPlugin.NAME_REPOSITORY_TOAD_11);
  }

  @Override
  public List<Rule> createRules() {
    XMLRuleParser parser = new XMLRuleParser();
    InputStream input = PlSqlToad11RulesRepository.class.getResourceAsStream("/org/sonar/plsql/toad/plugin/Toad11RulesRepository.xml");
    try {
      return parser.parse(input);
    } finally {
      IOUtils.closeQuietly(input);
    }
  }

}
